﻿@model LocalBitcoinsIndexViewModel
@{
    ViewBag.Title = "لیست آگهی های LocalBitcoins";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">آگهی های فروش بیت کوین</h4>
        <p>تعداد کل آگهی های فروش: @Model.Buy.Data.AdCount</p>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                        @<thead>
                            <tr>
                                <th>
                                    شماره
                                </th>
                                <th>
                                    تاریخ آگهی
                                </th>
                                <th>
                                    محدوده خرید
                                </th>
                                <th>
                                    موجودی فروشنده
                                </th>
                                <th>
                                    قیمت
                                </th>
                                <th>
                                    اطلاعات فروشنده
                                </th>
                                <th>

                                </th>
                            </tr>
                        </thead>,
            @<tbody>
                @foreach (var model in Model.Buy.Data.AdList)
                 {
                    <tr>
                        <td>
                            <a href="@(model.Actions.PublicView)" target="_blank">
                                @Html.DisplayFor(modelItem => model.Data.AdId)
                            </a>
                        </td>
                        <td>
                            @(model.Data.CreatedAt.ToFaDateTimeZone())
                        </td>
                        <td>
                            از @(model.Data.MinAmount.HasValue ? (model.Data.MinAmount.Value / 10).ToString("#,##0") : "0") تومان تا @(model.Data.MaxAmount.HasValue ? (model.Data.MaxAmount.Value / 10).ToString("#,##0") : "0") تومان<br />
                            از @(model.Data.MinAmount.HasValue ? (model.Data.MinAmount.Value / model.Data.TempPrice.Value).ToString("F8") : "0") BTC تا @(model.Data.MaxAmount.HasValue ? (model.Data.MaxAmount.Value / model.Data.TempPrice.Value).ToString("F8") : "0") BTC
                        </td>
                        <td>
                            @((model.Data.MaxAmountAvailable / 10).ToString("#,##0")) تومان<br />
                            @((model.Data.MaxAmountAvailable / model.Data.TempPrice.Value).ToString("F8")) BTC
                        </td>
                        <td>
                            @(model.Data.TempPrice.HasValue ? (model.Data.TempPrice.Value / 10).ToString("#,##0") : "0") تومان
                            <p style="font-family:Arial;">@(model.Data.TempPriceUsd.ToString("$#,##0"))</p>
                        </td>
                        <td>
                            <strong>نام: </strong> @(model.Data.Profile.Username)<br />
                            <strong>تعداد معامله: </strong> @(model.Data.Profile.TradeCount)<br />
                            <strong>نظرات: </strong> %@(model.Data.Profile.FeedbackScore)<br />
                            <strong>آنلاین بوده: </strong> @(model.Data.Profile.LastOnline.ToFaDateTimeZone())
                        </td>
                        <td>
                            <a href="#" class="btn btn-primary">اطلاعات بیشتر</a>
                        </td>
                    </tr>
                 }
            </tbody>).Order(0, DataTabledOrder.Desc)
            </div>
        </div>
    </div>
</div>